* {
  margin: 0px;
  padding: 0px;
  box-sizing: border-box;
}

h1, h2, p, a{
  text-align:center;
}

/* html {
  scroll-behavior: smooth;
} */

body {
  font-family: 'Lato', sans-serif;
}

/* Header */
nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  position: absolute;
  top: 0px;
  left: 0px;
  z-index: 1;
}

.nav_menu {
  display: flex;
}

nav ul li{
  line-height: 100px;
  list-style: none;
}

.menu_toggle {
  display: none;
  margin-right: 20px;
  margin-top: 20px;
  z-index: 2;
  width: 34px;
  height: 34px;
  position: relative;
  border-top: 3px solid white;
}

.menu_toggle::after,
.menu_toggle::before{
  content: '';
  display: block;
  width: 100%;
  height: 3px;
  margin-top: 7px;
  background: white;
  position: relative;
  transition: transform .2s ease, -webkit-transform .2s ease;
}

.nav_logo {
  height: 80px;
}

#home {
  position: relative;
  margin-bottom: -5px;
}

nav a {
  color: white;
  text-decoration: none;
  display: block;
  font-size: 20px;
  padding: 0 20px;
}

.nav_menu a:hover {
  background-color: #00affe;
}

.principal_texto {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  width: 80%;
  /* max-width: 80%; */
  font-size: 46px;
  color: white;
  text-align-last: center;
}

.principal_imagem {
  width: 100%;
  object-fit: cover;
  height: 100vh;
}

.com_fundo {
  height: 100vh;
  background-repeat: no-repeat;
  background-size: cover ; 
  /* max-width: 1024px; */
}

footer {
  font-size: 20px;
  padding: 40px;
  display: flex;
  justify-content: space-around;
  align-items: center;
  color: #57585a;
}

address {
  font-style: normal;
}

.redes_sociais {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  padding: 10px;
}

.redes_sociais i {
  padding: 20px;
  font-size: 40px ;
  cursor: pointer;
  border-radius: 50%;
}

.redes_sociais i:hover {
  color: white;
  background-color: #00affe;
}


@media only screen and (max-width: 768px) {
  nav {
    /* position: fixed; */
    position: aboslute;
    /* background-color: gray; */
    padding: 10px 0;
  }

  .nav_logo {
    padding: 10px 0;
  }

  .nav_menu {
    display: none;
  }

  .menu_toggle{
    display: block;
  }

  .menu_toggle.active {
    border-top: none;
  }

  .menu_toggle.active::before{
    top: 3px;
    transform: rotate(135deg);
  }

  .menu_toggle.active:after {
    /* top: 3px; */
    transform: rotate(45deg);
    margin-top: 0px;
  }

  .menu_toggle.active+.nav_menu {
    background-color: #57585a;
    display:block;
    position: absolute;
    z-index: 2;
    width: 100%;
    top: 100px;
    /* height: 100%; */
    text-align: center;
  }

  .nav_menu li:not(:last-child) {
    border-bottom: solid 1px #fff;
  }

  .nav_menu li a {
    line-height: 50px;
    height: 50px;
    text-align: center;
  }

  .principal_texto {
    width: 90%;
  }

  footer {
    flex-direction: column;
    font-size: 20px;
    padding: 20px;
  }

  .redes_sociais i{
    font-size: 30px;
    padding: 15px;
  }

}